package fr.inria.icocoa.semrep;

import java.util.Map;

import fr.inria.icocoa.semrep.excp.InvocationException;

public class AbstractStub {

	private CapabilityInvoker invoker;

	public AbstractStub(String wsdl) {
		super();
		invoker = new CapabilityInvoker(wsdl);
	}

	protected Map<String, Object> doInvoke(String capability, String... args)
			throws InvocationException {
		return invoker.invoke(capability, args);
	}

}
