package fr.inria.icocoa.semrep.osgi;

import org.apache.log4j.Logger;
import org.osgi.framework.BundleContext;
import org.ungoverned.gravity.servicebinder.GenericActivator;

/**
 * 
 * The specific activator of the OSGi service for the repository
 *
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Aug 27, 2008 10:26:27 AM
 */
public class AmigoCoreActivator extends GenericActivator {

	@Override
	public void start(BundleContext bundleContext) throws Exception {
		super.start(bundleContext);
		Logger logger = Logger.getLogger(this.getClass());
		logger.info("Amigo Semantic Respository Core Activator started.");
	}

}
