package tools;

import java.io.File;
import java.io.FilenameFilter;

public class libs2classpath {

	/**
	 * @param args
	 */
	public static void mainWindowsClasspath(String[] args) {
		File libsDir = new File("lib");
		// System.out.println(libsDir.getAbsoluteFile());
		File[] libs = libsDir.listFiles(new FilenameFilter() {
			public boolean accept(File dir, String name) {
				return name.endsWith(".jar");
			}
		});
		// System.out.println(Arrays.toString(libs));
		StringBuilder sb = new StringBuilder();
		for (File lib : libs) {
			sb.append("%SEMREPLIB%\\");
			sb.append(lib.getName());
			sb.append(';');
		}
		// sb.deleteCharAt(sb.length() - 1);
		System.out.println(sb + "%CLASSPATH%");
	}

	public static void main(String[] args) {
		File libsDir = new File("lib");
		File[] libs = libsDir.listFiles(new FilenameFilter() {
			public boolean accept(File dir, String name) {
				return name.endsWith(".jar");
			}
		});
		StringBuilder sb = new StringBuilder();
		sb.append('.');
		for (File lib : libs) {
			sb.append(',');
			sb.append(lib.getName());
		}
		System.out.println(sb);
	}

}
