package fr.inria.icocoa.test.sampleservices;

public class CompositeService {

	private double PI = 3.1415926535897932384626433832795028841971693993751058209749445923078164;

	private int nbDecimal = 0;

	/**
	 * Set the number of decimal we want for PI value
	 * 
	 * @param nbrDecimal
	 *            the number of decimals
	 */
	public void setPI(int nbrDecimal) {
		this.nbDecimal = nbrDecimal;
	}

	/**
	 * Get the PI value (with the number of decimals set with the method setPI()
	 * 
	 * @return PI value
	 */
	public double getPi() {
		return this.PI;
	}

}
