package fr.inria.icocoa.test.semreptest;

import java.util.Map;

import fr.inria.icocoa.semrep.DynamicInvoker;

public class DynamicInvokerTest {

	@SuppressWarnings("unchecked")
	public static void main(String[] args) throws Exception {
		DynamicInvoker invoker = new DynamicInvoker(
				"http://localhost:9080/axis/services/ServiceA?wsdl");
		Map map = invoker.invokeMethod("op1", null, new String[] {
				"http://localhost:9080/axis/services/ServiceA?wsdl", "op1" });
		System.out.println("op1 result: " + map + ", result type: "
				+ map.get("op1Return").getClass());

		map = invoker.invokeMethod("op2", null, new String[] {
				"http://localhost:9080/axis/services/ServiceA?wsdl", "op2",
				"3.14", "Moo" });
		System.out.println("op2 result: " + map + ", result type: "
				+ map.get("op2Return").getClass());

		map = invoker.invokeMethod("op3", null, new String[] {
				"http://localhost:9080/axis/services/ServiceA?wsdl", "op3",
				"314" });
		System.out.println("op3 result: " + map + ", result type: "
				+ map.get("op3Return").getClass());

		map = invoker.invokeMethod("op4", null, new String[] {
				"http://localhost:9080/axis/services/ServiceA?wsdl", "op4",
				"Moo" });
		System.out.println("op4 result: " + map);// + ", result type: " +
		// map.get("op4Return").getClass());

	}

}
