package fr.inria.icocoa.semrep;

import java.util.Map;

import fr.inria.icocoa.servicemodel.Capability;

public class WsdlResult {

	private String wsdlUri;
	private String namespace;
	private Map<String, Capability> capabilityMap;

	public WsdlResult(String wsdl, String namespace,
			Map<String, Capability> capabilityMap) {
		super();
		this.wsdlUri = wsdl;
		this.namespace = namespace;
		this.capabilityMap = capabilityMap;
	}

	public WsdlResult(String wsdl) {
		super();
		this.wsdlUri = wsdl;
	}

	public String getWsdlUri() {
		return wsdlUri;
	}

	public String getNamespace() {
		return namespace;
	}

	public Map<String, Capability> getCapabilityMap() {
		return capabilityMap;
	}

}
